/**
 * Title:       ?
 * ClassName:   DailyIndex.java
 * Created:     January 27, 2010
 * Authors:     Catalin Dima, Anca David, Mihai Craita, Viorel Macesanu, Simona Duicu, Radu Cristian, Oancea Sorin
 * Contact:     dimacatalin@gmail.com, anca.david@gmail.com, heroinpain@yahoo.com, macesanuviorel@yahoo.com, simona.duicu@yahoo.com, indy2kro@yahoo.com, scapsa@yahoo.com
 *
 * Description: ?
 */


package asets.api;

import java.util.Date;

/**
 *
 * @author Simona
 */
public class DailyIndex {
    private String inCode;
    private Date inLastUpdate;
    private double inOpenValue;
    private double inCurrentValue;
    private double inLowValue;
    private double inHighValue;
    private double inNetChange;
    private double inPrcChange;

  public DailyIndex(String inC, Date iLU, double iOV, double iC, double iL, double iH, double iN, double iP)
  {
      this.inCode = inC;
      this.inLastUpdate = iLU;
      this.inOpenValue = iOV;
      this.inCurrentValue = iC;
      this.inLowValue = iL;
      this.inHighValue = iH;
      this.inNetChange = iN;
      this.inPrcChange = iP;
  }

    /**
     * @return the inCode
     */
    public String getInCode() {
        return inCode;
    }

    /**
     * @param inCode the inCode to set
     */
    public void setInCode(String inCode) {
        this.inCode = inCode;
    }

    /**
     * @return the inLastUpdate
     */
    public Date getInLastUpdate() {
        return inLastUpdate;
    }

    /**
     * @param inLastUpdate the inLastUpdate to set
     */
    public void setInLastUpdate(Date inLastUpdate) {
        this.inLastUpdate = inLastUpdate;
    }

    /**
     * @return the inOpenValue
     */
    public double getInOpenValue() {
        return inOpenValue;
    }

    /**
     * @param inOpenValue the inOpenValue to set
     */
    public void setInOpenValue(double inOpenValue) {
        this.inOpenValue = inOpenValue;
    }

    /**
     * @return the inCurrentValue
     */
    public double getInCurrentValue() {
        return inCurrentValue;
    }

    /**
     * @param inCurrentValue the inCurrentValue to set
     */
    public void setInCurrentValue(double inCurrentValue) {
        this.inCurrentValue = inCurrentValue;
    }

    /**
     * @return the inLowValue
     */
    public double getInLowValue() {
        return inLowValue;
    }

    /**
     * @param inLowValue the inLowValue to set
     */
    public void setInLowValue(double inLowValue) {
        this.inLowValue = inLowValue;
    }

    /**
     * @return the inHighValue
     */
    public double getInHighValue() {
        return inHighValue;
    }

    /**
     * @param inHighValue the inHighValue to set
     */
    public void setInHighValue(double inHighValue) {
        this.inHighValue = inHighValue;
    }

    /**
     * @return the inNetChange
     */
    public double getInNetChange() {
        return inNetChange;
    }

    /**
     * @param inNetChange the inNetChange to set
     */
    public void setInNetChange(double inNetChange) {
        this.inNetChange = inNetChange;
    }

    /**
     * @return the inPrcChange
     */
    public double getInPrcChange() {
        return inPrcChange;
    }

    /**
     * @param inPrcChange the inPrcChange to set
     */
    public void setInPrcChange(double inPrcChange) {
        this.inPrcChange = inPrcChange;
    }
}
