/**
 * Title:       ?
 * ClassName:   DailyIndexList.java
 * Created:     January 28, 2010
 * Authors:     Catalin Dima, Anca David, Mihai Craita, Viorel Macesanu, Simona Duicu, Radu Cristian, Oancea Sorin
 * Contact:     dimacatalin@gmail.com, anca.david@gmail.com, heroinpain@yahoo.com, macesanuviorel@yahoo.com, simona.duicu@yahoo.com, indy2kro@yahoo.com, scapsa@yahoo.com
 *
 * Description: ?
 */


package asets.api;

import java.util.ArrayDeque;
/**
 *
 * @author Catalin
 */
public class DailyIndexList implements java.io.Serializable {
  private ArrayDeque<DailyIndex> dailyIndiceList = null;

    /** ExecutionList constructor
     *
     */
    public DailyIndexList()
    {
        dailyIndiceList = new ArrayDeque<DailyIndex>();
    }

    public void addDailyIndice(DailyIndex dailyIndice)
    {
        this.dailyIndiceList.offerLast(dailyIndice);
    }

    public DailyIndex getExecution()
    {
        DailyIndex localDailyIndice = null;

        if (!dailyIndiceList.isEmpty())
        {
            localDailyIndice= dailyIndiceList.pollFirst();
        }

        return localDailyIndice;
    }

    public ArrayDeque<DailyIndex> getDailyIndiceList()
    {
        return this.dailyIndiceList;
    }
}
