/**
 * Title:       ?
 * ClassName:   DailyStatistic.java
 * Created:     January 27, 2010
 * Authors:     Catalin Dima, Anca David, Mihai Craita, Viorel Macesanu, Simona Duicu, Radu Cristian, Oancea Sorin
 * Contact:     dimacatalin@gmail.com, anca.david@gmail.com, heroinpain@yahoo.com, macesanuviorel@yahoo.com, simona.duicu@yahoo.com, indy2kro@yahoo.com, scapsa@yahoo.com
 *
 * Description: ?
 */


package asets.api;

import java.util.Date;

/**
 *
 * @author Viorake
 */
public class DailyStatistic implements  java.io.Serializable
{
    private Date LastSession;
    private String MarketCode;
    private long Volume;
    private float Value;
    private float ValueUSD;
    private float ValueEUR;
    private long Trades;

    public DailyStatistic()
    {
        this.LastSession=null;
        this.MarketCode=null;
        this.Volume=0;
        this.Value=0;
        this.ValueUSD=0;
        this.ValueEUR=0;
        this.Trades=0;

    }
    public DailyStatistic(Date inlast,String inmarket,long involume,float invalue,float invalueusd,float invalueeur,long intrades )
    {
        this.LastSession=inlast;
        this.MarketCode=inmarket;
        this.Volume=involume;
        this.Value=invalue;
        this.ValueUSD=invalueusd;
        this.ValueEUR=invalueeur;
        this.Trades=intrades;

    }
/////////////////////////////////////
    public Date getlastSession()
    {
        return this.LastSession;
    }
    public void setlastSession(Date lastsession)
    {
        this.LastSession=lastsession;
    }
////////////////////////////////////////
        public String getMarketCode()
    {
        return this.MarketCode;
    }
    public void setMarketCode(String marketcode)
    {
        this.MarketCode=marketcode;
    }
//////////////////////////////////////
        public long  getVolume()
    {
        return this.Volume;
    }
    public void setVolume(long volume)
    {
        this.Volume=volume;
    }
///////////////////////////////////////////
            public float getValue()
    {
        return this.Value;
    }
    public void setValue(float value)
    {
        this.Value=value;
    }
//////////////////////////////////////////////
            public float getValueUSD()
    {
        return this.ValueUSD;
    }
    public void setValueUSD(float valueusd)
    {
        this.ValueUSD=valueusd;
    }
/////////////////////////////////////////////////
             public float getValueEUR()
    {
        return this.ValueEUR;
    }
    public void setValueEUR(float valueeur)
    {
        this.ValueEUR=valueeur;
    }
    /////////////////////////////////////////////
        public long  getTrades()
    {
        return this.Trades;
    }
    public void setTrades(long trades)
    {
        this.Trades=trades;
    }





}
